<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="text"/>
<xsl:variable name="combinedkeyinput">
	<xsl:for-each select="/OMACIM/Keys/Key">
		<xsl:value-of select="@value"/>
	</xsl:for-each>
</xsl:variable>
<xsl:variable name="lowercombinedkeyinput" select="translate($combinedkeyinput,'ABCDEFGHIJKLMNOPQRSTUVWXYZ', 'abcdefghijklmnopqrstuvwxyz')"/>
<xsl:template match="SVMInventory">
	<xsl:apply-templates />
</xsl:template>
<xsl:template match="Device">
<xsl:choose>
<xsl:when test="not(/OMACIM/Keys)">
instance of <xsl:value-of select="/OMACIM/@creation-class-name" />
{
	componentID = "<xsl:value-of select="@componentID" />";
	name = "<xsl:value-of select="@display" />";
	vendorID = "<xsl:value-of select="@vendorID" />";
	deviceID = "<xsl:value-of select="@deviceID" />";
	subDeviceID = "<xsl:value-of select="@subDeviceID" />";
	subVendorID = "<xsl:value-of select="@subVendorID" />";
	bus = "<xsl:value-of select="@bus" />";
        device="<xsl:value-of select="@device" />";
        function="<xsl:value-of select="@function" />";
};
</xsl:when>
<xsl:otherwise>
<xsl:variable name="combinedDeviceTag"><xsl:value-of select="@bus" /><xsl:value-of select="@componentID" /><xsl:value-of select="@device" /><xsl:value-of select="@deviceID" /><xsl:value-of select="@function" /><xsl:value-of select="@display" /><xsl:value-of select="@subDeviceID" /><xsl:value-of select="@subVendorID" /><xsl:value-of select="@vendorID" /></xsl:variable>
<xsl:variable name="lowercombinedDeviceTag" select="translate($combinedDeviceTag,'ABCDEFGHIJKLMNOPQRSTUVWXYZ', 'abcdefghijklmnopqrstuvwxyz')"/>
<xsl:if test="($lowercombinedDeviceTag = $lowercombinedkeyinput) ">
instance of <xsl:value-of select="/OMACIM/@creation-class-name" />
{
	componentID = "<xsl:value-of select="@componentID" />";
	name = "<xsl:value-of select="@display" />";
	vendorID = "<xsl:value-of select="@vendorID" />";
	deviceID = "<xsl:value-of select="@deviceID" />";
	subDeviceID = "<xsl:value-of select="@subDeviceID" />";
	subVendorID = "<xsl:value-of select="@subVendorID" />";
	bus = "<xsl:value-of select="@bus" />";
        device="<xsl:value-of select="@device" />";
        function="<xsl:value-of select="@function" />";
};
</xsl:if>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
</xsl:stylesheet>
 