<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="text"/>
<xsl:variable name="combinedkeyinput">
	<xsl:for-each select="/OMACIM/Keys/Key">
		<xsl:value-of select="@value"/>
	</xsl:for-each>
</xsl:variable>
<xsl:variable name="lowercombinedkeyinput" select="translate($combinedkeyinput,'ABCDEFGHIJKLMNOPQRSTUVWXYZ', 'abcdefghijklmnopqrstuvwxyz')"/>
<xsl:template match="SVMInventory">
<xsl:choose>
<xsl:when test="not(/OMACIM/Keys)">
instance of <xsl:value-of select="/OMACIM/@creation-class-name" />
{
	name = "Inventory Collector Agent";
	description = "Provides information about devices running on the local system";
	vendor = "Dell Inc.";
  version = "<xsl:value-of select="@invcolVersion" />";
  timestamp = "<xsl:value-of select="@timeStamp" />";
};	
</xsl:when>
<xsl:otherwise>
<xsl:variable name="combinedProductinfoTag">Provides information about devices running on the local systemInventory Collector Agent<xsl:value-of select="@timeStamp" />Dell Inc.<xsl:value-of select="@invcolVersion" /></xsl:variable>
<xsl:variable name="lowercombinedProductinfoTag" select="translate($combinedProductinfoTag,'ABCDEFGHIJKLMNOPQRSTUVWXYZ', 'abcdefghijklmnopqrstuvwxyz')"/>
<xsl:if test="($lowercombinedProductinfoTag = $lowercombinedkeyinput ) ">
instance of <xsl:value-of select="/OMACIM/@creation-class-name" />
{
	name = "Inventory Collector Agent";
	description = "Provides information about devices running on the local system";
	vendor = "Dell Inc.";
  version = "<xsl:value-of select="@invcolVersion" />";
  timestamp = "<xsl:value-of select="@timeStamp" />";
};	
</xsl:if >
</xsl:otherwise>
</xsl:choose>
</xsl:template>
</xsl:stylesheet>
